For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all automations of the specified project.
      • POSTCreates a new automation for the specified project.
      • GETReturns a specific automation from a project.
      • PUTUpdates the automation with the specified id.
      • DELDeletes the specified automation for a given project.
      • GETGets the actions of a project automation.
      • POSTCreates a new action for an automation.
      • GETGets a specific action for a project automation.
      • PUTUpdates a specifc action of a project automation.
      • DELDeletes an action for a project automation.
      • POSTUpdates the order of a given action of a project automation.
      • POSTExecutes a manual automation for a task.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Automations

Gets the actions of a project automation.

GET
https://api.awork.com/api/v1/projects/:projectId/automations/:automationId/actions
GET
/api/v1/projects/:projectId/automations/:automationId/actions
$curl https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
5 "createdOn": "2024-01-15T09:30:00Z",
6 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
7 "updatedOn": "2024-01-15T09:30:00Z",
8 "type": "tag-add-task",
9 "order": 2,
10 "values": [
11 {
12 "name": "tag",
13 "value": "Design"
14 }
15 ]
16 }
17]
Gets all actions including their values of an automation. <Check title="Required Permissions" icon="key">The user must be owner of the project or must have `project-master-data:read` permissions on the specified project.</Check>
Was this page helpful?
Previous

Creates a new action for an automation.

Next
Built with

Gets all actions including their values of an automation.

Required Permissions
The user must be owner of the project or must have project-master-data:read permissions on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project of the automation.
automationIdstringRequiredformat: "uuid"
The id of the automation.

Response

OK
idstringformat: "uuid"
The id of the action.
createdBystringformat: "uuid"
The id of the user who created the action.
createdOnstringformat: "date-time"
The date the action was created.
updatedBystringformat: "uuid"
The id of the user who updated the action.
updatedOnstringformat: "date-time"
The date the action was updated.
typestring or null
The type of the action.
orderdouble or null
The order of the action.
valueslist of objects or null
The values of the action.